"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createEntry = void 0;
var _dbDynamodb = require("@webiny/db-dynamodb");
/**
 * TODO If adding GSIs to the Elasticsearch table, add them here.
 */

const createEntry = params => {
  const {
    table,
    entityName
  } = params;
  return (0, _dbDynamodb.createEntity)({
    name: entityName,
    table,
    attributes: {
      PK: {
        type: "string",
        partitionKey: true
      },
      SK: {
        type: "string",
        sortKey: true
      },
      index: {
        type: "string"
      },
      data: {
        type: "map"
      },
      TYPE: {
        type: "string"
      }
    }
  });
};
exports.createEntry = createEntry;

//# sourceMappingURL=entry.js.map